QuickFIX: FIX::SocketConnector::Strategy Class Reference

Index Source Files Annotated Class List Alphabetical Class List Class Hierarchy Graphical Class Hierarchy

# FIX::SocketConnector::Strategy Class Reference

`#include <SocketConnector.h>`

Inheritance diagram for FIX::SocketConnector::Strategy:
[legend]

List of all members.

## Public Member Functions
virtual | ~Strategy ()
virtual void | onConnect (SocketConnector &, int socket)=0
virtual void | onWrite (SocketConnector &, int socket)=0
virtual bool | onData (SocketConnector &, int socket)=0
virtual void | onDisconnect (SocketConnector &, int socket)=0
virtual void | onError (SocketConnector &)=0
virtual void | onTimeout (SocketConnector &)

## Detailed Description

Definition at line 53 of file SocketConnector.h.

## Constructor & Destructor Documentation

virtual FIX::SocketConnector::Strategy::~Strategy | ( |  | ) | `[inline, virtual]`

Definition at line 56 of file SocketConnector.h.

    00056 {}

## Member Function Documentation

virtual void FIX::SocketConnector::Strategy::onConnect | ( | SocketConnector & | ,
|  | int | socket |
| ) |  |  | `[pure virtual]`

Implemented in FIX::SocketInitiator.

Referenced by FIX::ConnectorWrapper::onConnect().

virtual bool FIX::SocketConnector::Strategy::onData | ( | SocketConnector & | ,
|  | int | socket |
| ) |  |  | `[pure virtual]`

Implemented in FIX::SocketInitiator.

Referenced by FIX::ConnectorWrapper::onEvent().

virtual void FIX::SocketConnector::Strategy::onDisconnect | ( | SocketConnector & | ,
|  | int | socket |
| ) |  |  | `[pure virtual]`

Implemented in FIX::SocketInitiator.

Referenced by FIX::ConnectorWrapper::onError(), and FIX::ConnectorWrapper::onEvent().

virtual void FIX::SocketConnector::Strategy::onError | ( | SocketConnector & |  | ) | `[pure virtual]`

Implemented in FIX::SocketInitiator.

Referenced by FIX::ConnectorWrapper::onError().

virtual void FIX::SocketConnector::Strategy::onTimeout | ( | SocketConnector & |  | ) | `[inline, virtual]`

Reimplemented in FIX::SocketInitiator.

Definition at line 62 of file SocketConnector.h.

Referenced by FIX::ConnectorWrapper::onTimeout().

    00062 {};

virtual void FIX::SocketConnector::Strategy::onWrite | ( | SocketConnector & | ,
|  | int | socket |
| ) |  |  | `[pure virtual]`

Implemented in FIX::SocketInitiator.

Referenced by FIX::ConnectorWrapper::onWrite().

The documentation for this class was generated from the following file:

- /home/omiller/Development/autobuild/quickfix/src/C++/SocketConnector.h